#include "cheque.h"
#include <iostream>
#include <string>

using namespace std;

int main()
{
    static const string s[] = {
	"$*1,234.89",
	"$****1,234",
	"$*****0.89",
	"$***103.89",
	"US$******0",
	"US$***0.00",
	"$1,234.89" };
    static char *USD = "US$";

	char buff[40];


	cout << "2 " << chequeAmt(buff,10,1234,89) << endl;
	cout << "3 " << chequeAmt(buff,10,1234) << endl;
	cout << "4 " << chequeAmt(buff,10,0,89) << endl;
	cout << "5 " << chequeAmt(buff,10,100,389) << endl;
	cout << "6 " << chequeAmt(buff,10,0) << endl;
	setChequeSym(USD);
	cout << "7 " << chequeAmt(buff,10,0,0) << endl;
	setChequeSym(0);
	cout << "8 " << chequeAmt(buff,9,1234,89) << endl;

	try {
		chequeAmt(buff,8,1234,89);
	}
	catch( ChequeBufferOverflow ) {
		cout << "9 Exception" << endl;
	}

	return 0;
}